> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blox.report/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reports by ID

> Requires permissions: reports.view_reports



## OpenAPI

````yaml https://backend.blox.report/openapi.json get /v1/reports/{id}
openapi: 3.1.0
info:
  title: Blox.report API
  description: >-
    Backend API for Blox.report. Authentication with API key and secret as
    `key:secret` in Authorization header.
  version: 1.0.0
  contact: {}
servers:
  - url: https://backend.blox.report
    description: Production API
security: []
tags:
  - name: Reports
paths:
  /v1/reports/{id}:
    get:
      tags:
        - Reports
      summary: Get Reports by ID
      description: 'Requires permissions: reports.view_reports'
      operationId: getV1ReportsId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: >-
            The Roblox user ID of the reported user (not the report ID). Reports
            returned are for this user.
          example: '123456789'
        - name: page
          in: query
          required: false
          schema:
            default: '1'
            type: number
        - name: limit
          in: query
          required: false
          schema:
            default: '10'
            type: number
      responses:
        '200':
          description: List of reports for the given user
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    const: true
                  page:
                    type: number
                  limit:
                    type: number
                  count:
                    type: number
                  reports:
                    type: array
                    items:
                      type: object
                      properties:
                        repid:
                          type: string
                        reportTimeStamp:
                          type: number
                        avurl:
                          type: string
                          nullable: true
                        displayname:
                          type: string
                          nullable: true
                        username:
                          type: string
                        reason:
                          type: string
                        evidence:
                          type: array
                          items:
                            type: string
                        banned:
                          type: boolean
                      required:
                        - repid
                        - reportTimeStamp
                        - avurl
                        - displayname
                        - username
                        - reason
                        - evidence
                        - banned
                      additionalProperties: false
                required:
                  - success
                  - page
                  - limit
                  - count
                  - reports
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API key and secret as `key:secret` in Authorization header.

````